Package com.sas.services.information

# Class RepositoryInfo

java.lang.Object
com.sas.services.information.RepositoryInfo

All Implemented Interfaces:
  `Serializable`

public class RepositoryInfo extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RepositoryInfo(String name, String fqid, String type, String desc, String path, String engine, String options, String access, String effectiveAccess, String format, String state, Date metadataCreated, Date metadataUpdated)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getAccess()`
  `final String`
  `getDescription()`
  `final String`
  `getEffectiveAccess()`
  `final String`
  `getEngine()`
  `final String`
  `getFormat()`
  `final String`
  `getFqid()`
  `final Date`
  `getMetadataCreated()`
  `final Date`
  `getMetadataUpdated()`
  `final String`
  `getName()`
  `final String`
  `getOptions()`
  `final String`
  `getPath()`
  `final String`
  `getState()`
  `final String`
  `getType()`
  `final void`
  `setAccess(String access)`
  `final void`
  `setDescription(String description)`
  `final void`
  `setEffectiveAccess(String effectiveAccess)`
  `final void`
  `setEngine(String engine)`
  `final void`
  `setFormat(String format)`
  `final void`
  `setFqid(String fqid)`
  `final void`
  `setMetadataCreated(Date metadataCreated)`
  `final void`
  `setMetadataUpdated(Date metadataUpdated)`
  `final void`
  `setName(String name)`
  `final void`
  `setOptions(String options)`
  `final void`
  `setPath(String path)`
  `final void`
  `setState(String state)`
  `final void`
  `setType(String type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RepositoryInfo

    public RepositoryInfo(String name, String fqid, String type, String desc, String path, String engine, String options, String access, String effectiveAccess, String format, String state, Date metadataCreated, Date metadataUpdated)

- ## Method Details

  - ### getFqid

    public final String getFqid()

  - ### setFqid

    public final void setFqid(String fqid)

  - ### getName

    public final String getName()

  - ### setName

    public final void setName(String name)

  - ### getType

    public final String getType()

  - ### setType

    public final void setType(String type)

  - ### getDescription

    public final String getDescription()

  - ### setDescription

    public final void setDescription(String description)

  - ### getPath

    public final String getPath()

  - ### setPath

    public final void setPath(String path)

  - ### getEngine

    public final String getEngine()

  - ### setEngine

    public final void setEngine(String engine)

  - ### getOptions

    public final String getOptions()

  - ### setOptions

    public final void setOptions(String options)

  - ### getAccess

    public final String getAccess()

  - ### setAccess

    public final void setAccess(String access)

  - ### getEffectiveAccess

    public final String getEffectiveAccess()

  - ### setEffectiveAccess

    public final void setEffectiveAccess(String effectiveAccess)

  - ### getFormat

    public final String getFormat()

  - ### setFormat

    public final void setFormat(String format)

  - ### getState

    public final String getState()

  - ### setState

    public final void setState(String state)

  - ### getMetadataCreated

    public final Date getMetadataCreated()

  - ### setMetadataCreated

    public final void setMetadataCreated(Date metadataCreated)

  - ### getMetadataUpdated

    public final Date getMetadataUpdated()

  - ### setMetadataUpdated

    public final void setMetadataUpdated(Date metadataUpdated)